Page MenuHomePhabricator

Migrate CirrusSearch MediaWikiIntegrationTestCase tests to MediaWikiUnitTestCase
Closed, DeclinedPublic

Description

Task to track patches related to the transition to MediaWikiUnitTestCase for CirrusSearch.

Event Timeline

dcausse renamed this task from Migrate CirrusSearch MediaWikiIntegrationTestCase tests to on unit tests to Migrate CirrusSearch MediaWikiIntegrationTestCase tests to MediaWikiUnitTestCase.Sep 11 2019, 10:28 AM
dcausse created this task.

Change 534845 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Start converting Cirrus PHP test to MediaWikiUnitTestCase

https://gerrit.wikimedia.org/r/534845

dcausse added a subscriber: Gehel.

Moving to waiting because as discussed with @Gehel, we don't want to change all tests just for the sake of having unit tests (unless there are other reasons to) but instead migrate the tests as we change the code.

Change 534845 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Start converting Cirrus PHP test to MediaWikiUnitTestCase

https://gerrit.wikimedia.org/r/534845

Gehel assigned this task to Mstyles.Nov 25 2019, 6:27 PM
Gehel moved this task from Waiting to Incoming on the Discovery-Search (Current work) board.

Change 552928 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[mediawiki/extensions/CirrusSearch@master] Move unit test to unit test directory

https://gerrit.wikimedia.org/r/552928

Change 552928 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Move unit test to unit test directory

https://gerrit.wikimedia.org/r/552928

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJan 12 2020, 10:48 AM
Mstyles triaged this task as Low priority.Aug 27 2020, 7:24 PM
Gehel closed this task as Declined.Aug 28 2020, 12:29 PM

We have migrated a few tests as part of Maryum's onboarding and to show that it works in the general case. Migrating more tests should be done as part of regular development (when those tests need to be modified), but not proactively.